{
  "ingredients": {
    "base": [
      {"name-fr": "", "price": 7.5, "frequency": 1}
    ],
    "sauce-base": [
      {"name-fr": "sauce tomate", "price": 0.5, "frequency": 60},
      {"name-fr": "crème fraîche", "price": 0.5, "frequency": 35},
      {"name-fr": "crème de potimaron", "price": 0.5, "frequency": 1}
    ],
    "cheese-base": [
      {"name-fr": "mozzarella", "price": 1.0, "frequency": 80},
      {"name-fr": "mozzarella di Bufala", "price": 3.0, "frequency": 3}
    ],
    "herb": [
      {"name-fr": "origan", "price": 0.5, "frequency": 24},
      {"name-fr": "câpres", "price": 0.5, "frequency": 4},
      {"name-fr": "basilic", "price": 0.5, "frequency": 2},
      {"name-fr": "persillade", "price": 0.5, "frequency": 5},
      {"name-fr": "romarin", "price": 0.5, "frequency": 1},
      {"name-fr": "poivre noir", "price": 0.5, "frequency": 2}
    ],
    "meat": [
      {"name-fr": "jambon", "price": 0.5, "frequency": 21},
      {"name-fr": "pepperoni", "price": 0.5, "frequency": 1},
      {"name-fr": "merguez", "price": 0.5, "frequency": 2},
      {"name-fr": "lardons", "price": 0.5, "frequency": 9},
      {"name-fr": "bacon", "price": 1.0, "frequency": 1},
      {"name-fr": "chorizo", "price": 1.0, "frequency": 6},
      {"name-fr": "jambon serrano", "price": 1.0, "frequency": 3},
      {"name-fr": "poulet", "price": 1.0, "frequency": 3},
      {"name-fr": "jambon de Parme", "price": 2.5, "frequency": 4},
      {"name-fr": "lard", "price": 1.0, "frequency": 2},
      {"name-fr": "bœuf haché", "price": 1.5, "frequency": 3},
      {"name-fr": "foie gras", "price": 1.5, "frequency": 1},
      {"name-fr": "magret de canard fumé", "price": 1.5, "frequency": 1},
      {"name-fr": "spianata calabrese", "price": 3.0, "frequency": 2},
      {"name-fr": "saucisse de Toulouse", "price": 2.5, "frequency": 5},
      {"name-fr": "gésiers", "price": 2.0, "frequency": 1},
      {"name-fr": "speck", "price": 2.0, "frequency": 2}
    ],
    "egg": [
      {"name-fr": "œuf", "price": 1.0, "frequency": 12}
    ],
    "fish": [
      {"name-fr": "anchois", "price": 0.5, "frequency": 4},
      {"name-fr": "thon", "price": 0.5, "frequency": 3},
      {"name-fr": "saumon", "price": 2.5, "frequency": 4}
    ],
    "seafood": [
      {"name-fr": "crevettes", "price": 0.5, "frequency": 1},
      {"name-fr": "moules", "price": 0.5, "frequency": 1},
      {"name-fr": "calamars", "price": 0.5, "frequency": 1},
      {"name-fr": "vongoles", "price": 0.5, "frequency": 1}
    ],
    "vegetable": [
      {"name-fr": "champignons", "price": 1.0, "frequency": 21},
      {"name-fr": "olives", "price": 0.5, "frequency": 18},
      {"name-fr": "poivrons", "price": 1.0, "frequency": 6},
      {"name-fr": "artichauts", "price": 0.5, "frequency": 7},
      {"name-fr": "oignons", "price": 0.5, "frequency": 9},
      {"name-fr": "roquette", "price": 1.0, "frequency": 5},
      {"name-fr": "pommes de terre", "price": 1.0, "frequency": 7},
      {"name-fr": "tomates séchées", "price": 1.0, "frequency": 2},
      {"name-fr": "mâche", "price": 0.5, "frequency": 3},
      {"name-fr": "oignons rouges", "price": 0.5, "frequency": 3},
      {"name-fr": "radicchio", "price": 0.5, "frequency": 1},
      {"name-fr": "friarielli", "price": 0.5, "frequency": 1},
      {"name-fr": "cèpes", "price": 2.0, "frequency": 1}
    ],
    "fruit": [
      {"name-fr": "citron", "price": 0.5, "frequency": 1},
      {"name-fr": "pignons de pin", "price": 0.5, "frequency": 1},
      {"name-fr": "confiture de figues", "price": 0.5, "frequency": 1}
    ],
    "sauce": [
      {"name-fr": "bolognaise", "price": 0.5, "frequency": 1},
      {"name-fr": "miel", "price": 1.0, "frequency": 3},
      {"name-fr": "caramel balsamique", "price": 0.5, "frequency": 1},
      {"name-fr": "huile d’olive", "price": 0.5, "frequency": 4},
      {"name-fr": "sauce basilic", "price": 0.5, "frequency": 2}
    ],
    "cheese": [
      {"name-fr": "gorgonzola", "price": 1.5, "frequency": 10},
      {"name-fr": "chèvre", "price": 1.5, "frequency": 12},
      {"name-fr": "copeaux de parmesan", "price": 1.0, "frequency": 2},
      {"name-fr": "burrata", "price": 2.0, "frequency": 1},
      {"name-fr": "emmental", "price": 0.5, "frequency": 6},
      {"name-fr": "munster", "price": 1.5, "frequency": 2},
      {"name-fr": "raclette", "price": 0.5, "frequency": 2},
      {"name-fr": "grana", "price": 1.0, "frequency": 4},
      {"name-fr": "scamorza fumée", "price": 1.5, "frequency": 4},
      {"name-fr": "roquefort", "price": 1.0, "frequency": 1}
    ]
  },
  "recipes": [
    {"ingredients": ["base", "sauce-base", "cheese-base", "herb"], "frequency": 2},
    {"ingredients": ["base", "sauce-base", "cheese-base", "sauce", "herb"], "frequency": 2},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "herb"], "frequency": 2},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "sauce"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "cheese"], "frequency": 2},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "cheese", "sauce"], "frequency": 2},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "vegetable", "herb"], "frequency": 2},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "vegetable", "cheese"], "frequency": 3},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "vegetable", "cheese", "herb"], "frequency": 2},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "vegetable", "cheese", "cheese"], "frequency": 2},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "vegetable", "sauce-base", "herb"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "vegetable", "vegetable", "sauce-base"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "vegetable", "vegetable", "cheese"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "vegetable", "vegetable", "cheese", "herb"], "frequency": 2},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "vegetable", "vegetable", "cheese", "sauce"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "vegetable", "vegetable", "herb"], "frequency": 2},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "vegetable", "vegetable", "vegetable"], "frequency": 2},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "vegetable", "vegetable", "vegetable", "herb"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "vegetable", "vegetable", "vegetable", "sauce-base", "herb"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "vegetable", "vegetable", "vegetable", "sauce", "herb"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "egg"], "frequency": 2},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "egg", "herb"], "frequency": 3},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "egg", "vegetable"], "frequency": 2},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "egg", "vegetable", "cheese"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "egg", "sauce-base"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "egg", "sauce-base", "herb"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "egg", "fish", "vegetable", "vegetable", "vegetable", "herb"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "meat"], "frequency": 3},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "meat", "cheese"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "meat", "cheese", "herb"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "meat", "cheese", "cheese", "sauce"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "meat", "egg", "vegetable", "herb"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "meat", "vegetable"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "meat", "vegetable", "sauce"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "meat", "vegetable", "cheese", "herb"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "meat", "vegetable", "vegetable", "sauce-base"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "meat", "meat", "fruit"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "fish", "cheese", "sauce-base"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "fish", "vegetable"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "fish", "vegetable", "herb"], "frequency": 3},
    {"ingredients": ["base", "sauce-base", "cheese-base", "fish", "vegetable", "sauce", "herb"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "fish", "vegetable", "vegetable"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "fish", "vegetable", "vegetable", "sauce-base", "herb"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "fish", "vegetable", "vegetable", "vegetable", "herb"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "fish", "fruit", "sauce-base", "herb"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "seafood", "seafood", "seafood", "seafood"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "vegetable"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "vegetable", "cheese"], "frequency": 2},
    {"ingredients": ["base", "sauce-base", "cheese-base", "vegetable", "cheese", "sauce"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "vegetable", "cheese", "cheese", "fruit", "sauce"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "vegetable", "vegetable", "cheese"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "vegetable", "vegetable", "vegetable", "vegetable"], "frequency": 2},
    {"ingredients": ["base", "sauce-base", "cheese-base", "vegetable", "vegetable", "vegetable", "vegetable", "herb"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "cheese", "sauce"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "cheese", "cheese"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "cheese", "cheese", "herb"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "cheese", "cheese", "cheese"], "frequency": 1},
    {"ingredients": ["base", "sauce-base", "cheese-base", "cheese", "cheese", "cheese", "cheese", "cheese"], "frequency": 1}
  ],
  "ingredient-variety": {
    "base": {"min": 1, "max": 1},
    "sauce-base": {"min": 2, "max": 3},
    "cheese-base": {"min": 1, "max": 2},
    "herb": {"min": 1, "max": 6},
    "meat": {"min": 7, "max": 9},
    "egg": {"min": 1, "max": 1},
    "fish": {"min": 3, "max": 3},
    "seafood": {"min": 0, "max": 4},
    "vegetable": {"min": 6, "max": 11},
    "fruit": {"min": 0, "max": 2},
    "sauce": {"min": 1, "max": 3},
    "cheese": {"min": 4, "max": 5}
  },
  "recipe-variety": {"min": 23, "max": 31},
  "names": [
    "Abbondanza", "Ada", "Adalisa", "Adalgisa", "Adamaria", "Addolorata", "Adriana", "Afra",
    "Agata", "Agnese", "Agostina", "Agrippa", "Agrippina", "Alba", "Alberta", "Albina", "Aldegarda",
    "Aldegonda", "Alessa", "Alessandra", "Alessia", "Alida", "Allegra", "Alma", "Altea", "Amalia",
    "Amanda", "Ambra", "Ambrogia", "Amedea", "Amelia", "Anatolia", "Ancilla", "Angela", "Angelica",
    "Angelina", "Anna", "Annabella", "Annunziata", "Antonella", "Antonia", "Antonietta", "Apollonia",
    "Argentina", "Aria", "Arianna", "Arisa", "Armanda", "Asia", "Assunta", "Augusta", "Augustina",
    "Aura", "Aurea", "Aurelia", "Aurora", "Ausilia", "Azzurra", "Balbina", "Barbara", "Bartolomea",
    "Beata", "Benedetta", "Beniamina", "Bernarda", "Betta", "Bettina", "Bianca", "Bibiana", "Blandina",
    "Bonaria", "Bortola", "Brigitta", "Bruna", "Brunella", "Camilla", "Candida", "Carina", "Carmela",
    "Carmelina", "Catterina", "Cecilia", "Celia", "Cenerina", "Cesira", "Cesarina", "Chiara",
    "Claudia", "Clelia", "Cinzia", "Clementina", "Clorinda", "Concetta", "Cosima", "Costanza",
    "Cornelia", "Cristiana", "Cristina", "Dalila", "Damiana", "Danila", "Delfina", "Desdemona",
    "Desiderata", "Desideria", "Devota", "Diana", "Diletta", "Dina", "Diva", "Domenica", "Domitilla",
    "Domizia", "Donata", "Donatella", "Dora", "Dorotea", "Drusilla", "Delina", "Diomira", "Eglantina",
    "Elda", "Elena", "Eleonora", "Eleanora", "Eletta", "Elettra", "Elisabetta", "Elodia", "Eloisa",
    "Elvezia", "Emanuela", "Emerenziana", "Emilia", "Emiliana", "Enrica", "Enrichetta", "Enza",
    "Enziona", "Ermelinda", "Ermellina", "Ermenegilda", "Ermengarda", "Ermina", "Erminia", "Ernesta",
    "Ersilia", "Esperia", "Eudemia", "Eufrosina", "Eugenia", "Eusebia", "Eva", "Evangelina",
    "Evelina", "Fabia", "Fabiola", "Faustina", "Federica", "Felicia", "Felicita", "Fernanda",
    "Fiamma", "Fiammetta", "Filomena", "Fioralba", "Fiorella", "Fioretta", "Fiorenza", "Fiorinda",
    "Firmina", "Flaminia", "Flavia", "Flaviana", "Florenza", "Floriana", "Florinda", "Fulvia",
    "Fosca", "Foscarina", "Fortuna", "Franca", "Francesca", "Frediana", "Gabriella", "Gaetana",
    "Galatea", "Gavina", "Gelsomina", "Gemma", "Genoveffa", "Germana", "Giacinta", "Giacoma",
    "Giacomina", "Giada", "Gianna", "Gigliola", "Gilda", "Gina", "Ginevra", "Gioconda", "Gioia",
    "Giordana", "Giovanna", "Gisella", "Giuditta", "Giulia", "Giuliana", "Giulietta", "Giulitta",
    "Giunone", "Giuseppa", "Giuseppina", "Giustina", "Gloria", "Grazia", "Graziella", "Guendalina",
    "Guglielma", "Iacoma", "Idelma", "Ifigenia", "Ilaria", "Ilda", "Ildegonda", "Imelda", "Immacolata",
    "Incoronata", "Iolanda", "Iride", "Isabella", "Iside", "Isotta", "Ianina", "Laura", "Lavinia",
    "Lea", "Lena", "Leonarda", "Letizia", "Licia", "Lilia", "Liliana", "Lina", "Livia", "Loredana",
    "Lorena", "Lorenza", "Lucia", "Luciana", "Lucilla", "Lucrezia", "Luigia", "Luisa", "Luna",
    "Maddalena", "Marcella", "Marcellina", "Marfisa", "Maria", "Marianna", "Marilena", "Marina",
    "Marinella", "Marisa", "Martina", "Marzia", "Massima", "Massimiliana", "Matilda", "Maura",
    "Medea", "Melania", "Melissa", "Michela", "Michelangela", "Michelina", "Milla", "Mimma", "Mina",
    "Minerva", "Mirella", "Monica", "Morgana", "Musetta", "Mustiola", "Natalia", "Natalina", "Nella",
    "Nerina", "Nicoletta", "Nilla", "Nilva", "Nina", "Ninfa", "Ninfadora", "Nives", "Nora", "Norma",
    "Novella", "Nuccia", "Nunzia", "Odetta", "Odilia", "Ofelia", "Olimpia", "Oliva", "Ombretta",
    "Ondina", "Oria", "Oriana", "Orietta", "Ornella", "Orsina", "Orsola", "Ortensia", "Ottavia",
    "Palmira", "Paola", "Paolina", "Pasqua", "Pasqualina", "Patrizia", "Perla", "Perpetua", "Petronilla",
    "Pia", "Piera", "Pietra", "Pietrina", "Pisana", "Polinnia", "Polissena", "Porzia", "Preziosa",
    "Primarosa", "Prisca", "Priscilla", "Provvidenza", "Raffaella", "Renata", "Riccarda", "Rina",
    "Rita", "Roberta", "Rocchina", "Rosa", "Rosalba", "Rosalia", "Rosalina", "Rosetta", "Rosina",
    "Rossa", "Rossana", "Rossella", "Rubina", "Sorenza", "Sabina", "Sabrina", "Salvina", "Sandra",
    "Santina", "Santippa", "Saveria", "Savina", "Scolastica", "Seconda", "Selvaggia", "Semiramide",
    "Serena", "Sesta", "Settima", "Severina", "Sibilla", "Silvana", "Silvia", "Simona", "Simonetta",
    "Sinforosa", "Smeralda", "Soccorsa", "Sofonisba", "Sofronia", "Sole", "Solena", "Solidea",
    "Speranza", "Stefania", "Stella", "Stellina", "Sterpeta", "Sveva", "Tarcisia", "Tarsilia",
    "Teodolinda", "Teodosia", "Teresa", "Tessa", "Tiberia", "Tina", "Tiziana", "Tommasina", "Tonia",
    "Tosca", "Tranquilla", "Trofimena", "Tullia", "Ubalda", "Umberta", "Ursula", "Valda", "Valentina",
    "Valeria", "Valeriana", "Vanna", "Velia", "Venera", "Veneranda", "Vera", "Verbena", "Verdiana",
    "Veronica", "Vienna", "Vincenza", "Violetta", "Virginia", "Vita", "Vittoria", "Viviana",
    "Zeferina", "Zelmira", "Zita"
  ]
}
